Queues
List all queues in an organization.
ApiKeyAuthAuthorization<token>The list of queues in an organization
application/json- response
data?array<>curl -X GET 'https://dev.dixa.io/v1/queues' \ -H 'Authorization: <API token>'Create a queue.
ApiKeyAuth settings.queue:wAuthorization<token>Scope: settings.queue:w
The details for creating a queue
application/json- body
request*The created queue
application/json- response
data*curl -X POST 'https://dev.dixa.io/v1/queues' \ -H 'Authorization: <API token>' \ -H 'Content-Type: application/json' \ -d '{ "request": { "name": "MyCorp main queue", "callFunctionality": false, "isDefault": true, "queueThresholds": { "WaitingConversations": 10 }, "offerTimeout": 10, "offerAlgorithm": "AllAtOnce", "wrapupTimeout": 10, "priority": 1, "offerAbandonedConversations": false, "doNotOfferTimeouts": { "WidgetChat": 1 }, "isDoNotOfferEnabled": true, "preferredAgentTimeouts": { "WhatsApp": 300, "Voicemail": 300, "WidgetChat": 300, "FacebookMessenger": 300, "Email": 43200, "ContactForm": 43200, "Callback": 300, "PstnPhone": 300 }, "isPreferredAgentEnabled": false, "preferredAgentOfflineTimeout": 500, "personalAgentOfflineTimeout": 500, "isRestricted": false }}'List all agents/admins that are members of a queue by providing the queue id.
ApiKeyAuthAuthorization<token>queueId*stringuuidList of the agents/admins that are members of a queue
application/json- response
data?array<>curl -X GET 'https://dev.dixa.io/v1/queues/{queueId}/members' \ -H 'Authorization: <API token>'Bulk remove agents/admins from the specified queue.
ApiKeyAuth settings.queue.membersAuthorization<token>Scope: settings.queue.members
queueId*stringuuidThe list of agents/admins to be removed from the queue. Up to 10 members can be specified.
application/json- body
agentIds?array<>The bulk operation succeeded
curl -X DELETE 'https://dev.dixa.io/v1/queues/{queueId}/members' \ -H 'Authorization: <API token>' \ -H 'Content-Type: application/json' \ -d '{ "agentIds": [ "743c3781-c882-4352-a1fa-fe5d7a673cfd", "cad2f234-8cec-4cd8-96e9-a6491a0176da" ]}'Empty
Assign one or more agents/admins to a given queue.
ApiKeyAuth settings.queue.membersAuthorization<token>Scope: settings.queue.members
queueId*stringuuidThe list of agents/admins to be added to the queue
application/json- body
agentIds?array<>The list of patch action outcomes
application/json- response
data?array<|>curl -X PATCH 'https://dev.dixa.io/v1/queues/{queueId}/members' \ -H 'Authorization: <API token>' \ -H 'Content-Type: application/json' \ -d '{ "agentIds": [ "c31e5e3f-1d5f-4442-83df-fd7bddd59da4", "26ae145b-8644-4fa5-aa56-7b3dcacbe2d4" ]}'Get availability of supported channels for a given queue. Currently supported channels are adachat, kindlychat, digitalgeniuschat, genericapimessaging.
ApiKeyAuthAuthorization<token>queueId*stringuuidThe availability of supported channels for a given queue
application/json- response
data?array<|>curl -X GET 'https://dev.dixa.io/v1/queues/{queueId}/availability' \ -H 'Authorization: <API token>'Get a queue by id.
ApiKeyAuthAuthorization<token>queueId*stringuuidThe queue
application/json- response
data*curl -X GET 'https://dev.dixa.io/v1/queues/{queueId}' \ -H 'Authorization: <API token>'Get the approximate position of a given conversation in its current queue.
ApiKeyAuthAuthorization<token>csid*integerint64The position of the conversation in the queue
application/json- response
data*curl -X GET 'https://dev.dixa.io/v1/queues/conversation-position/{csid}' \ -H 'Authorization: <API token>'